%define anolis_release 1

Name:		        libfastjson
Version:	        1.2304.0
Release:	        %{anolis_release}%{?dist}
Summary:	        A JSON implementation in C
License:	        MIT
URL:		        https://github.com/rsyslog/libfastjson
Source0:	        https://github.com/rsyslog/libfastjson/archive/refs/tags/v%{version}.tar.gz

BuildRequires:      gcc gcc-c++ autoconf automake libtool make

%description
libfastjson is a fork from json-c, and is currently under development.
The aim of this project is not to provide a slightly modified clone of json-c. It's aim is to provide:
    1. a small library with essential json handling functions
    2. sufficiently good json support (not 100% standards compliant)
    3. be very fast in processing

%package	devel
Summary:	Development files for libfastjson
Requires:	%{name} = %{version}-%{release}

%description	devel
This package contains libraries and header files for
developing applications that use libfastjson.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The libfastjson-doc package contains documentation files for libfastjson.


%prep
%autosetup -n %{name}-%{version} -p1

for doc in ChangeLog
do
    iconv -f iso-8859-1 -t utf8 $doc > $doc.new &&
    touch -r $doc $doc.new &&
    mv $doc.new $doc
done

%build
autoreconf -iv
export CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"
%configure --enable-shared --disable-static

%install
%make_install
%generate_compatibility_deps


%check
%make_build check


%files
%dir %{abidir}
%{_libdir}/libfastjson.so.*
%license COPYING
%{abidir}/libfastjson.dump


%files devel
%{_libdir}/libfastjson.so
%{_libdir}/pkgconfig/libfastjson.pc
%{_includedir}/libfastjson


%files doc
%doc README.html ChangeLog AUTHORS


%changelog
* Wed Mar 13 2024 dash <dash@nfschina.com> - 1.2304.0-1
- New version 1.2304.0

* Wed May 31 2023 Funda Wang <fundawang@yeah.net> - 0.99.9.1-1
- New version 0.99.9.1

* Thu Apr 13 2023 chen_yu_ao <m15927509890@163.com> - 0.99.9-4
- change spec file formats

* Wed Feb 15 2023 Ziyang Zhang <ZiyangZhang@linux.alibaba.com> - 0.99.9-3
- add abi/api files

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.99.9-2
- add doc package

* Thu Mar 10 2022 Liwei Ge <liwei.glw@linux.alibaba.com> - 0.99.9-1
- Init version from upstream v0.99.9
